import { AfterViewInit, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * ngx-fast-svg enables lazy loading features of the browser for SVG.
 * It also manages the caching of SVG's in the DOM for multiple usage and different stylings
 * This component also Supports lazy loading with SSR and http transfer cache
 * */
export declare class FastSvgComponent implements AfterViewInit, OnDestroy {
    private readonly platform;
    private readonly renderer;
    private readonly registry;
    private readonly element;
    private readonly sub;
    private readonly getImg;
    name: string;
    size: string;
    width: string;
    height: string;
    loadedListener: () => void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FastSvgComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FastSvgComponent, "fast-svg", never, { "name": { "alias": "name"; "required": false; }; "size": { "alias": "size"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; }, {}, never, never, true, never>;
}
